<ion-header>
  <div id="menu">
    <ul>
      <li><a (click) = navToHome()>Home</a></li>
      <li><a (click) = navToTest()>Test</a></li>
    </ul>
  </div>
</ion-header>

<ion-content>


  <div class="sidenav">

    <div class="menu-box" style="text-align: center;">
      <img style="width: 30px; height: 30px;" src="../../assets/signature.png"><br>
      <p style="color: white;"><font size="2">Signatures</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;"(click)='navToCreate()'>
      <img style="width: 30px; height: 30px;" src="../../assets/or.png"><br>
      <p style="color: white;"><font size="2">Organnizations</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;" (click) = navToAmin()>
      <img style="width: 30px; height: 30px;" src="../../assets/admin.png"><br>
      <p style="color: white;"><font size="2">Admin</font></p>
    </div><br>

    <hr class="new1">

    <div class="create" (click) = navToNew()>
      <img style="width: 30px; height: 30px; margin-top: 5px;" src="../../assets/plus.jpg"><br>
      <p><b>CREATE</b></p>
    </div><br>

    <hr class="new1">

  </div>

  
  <div class="main">

    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
      <ion-refresher-content></ion-refresher-content>
    </ion-refresher>

    <ion-list lines="full">
      <ion-list-header>
          <ion-label>Files</ion-label>
          <div>
            <ion-label> {{showNamespace}} </ion-label>
            <ion-icon name="arrow-forward"></ion-icon>
            <ion-label> {{showSubnamespace}} </ion-label>
          </div>
      </ion-list-header>

      <div *ngIf="isLoading" class="loading">
          <ion-spinner name="dots" color="primary"></ion-spinner>
      </div>

      <ion-item *ngFor="let doc of documentClassification.needSign; let i = index;" button
          (click)="onDocument(i, flag.NEEDSIGN)" detail="false">
          <ion-icon mode="md" [color]="(doc.owner == owner)?'success':'danger'"
              [name]="(doc.owner == owner)?'arrow-up':'arrow-down'">
          </ion-icon>
          <img src="assets/icon-pdf.png" />
          <ion-label>
              <h3>{{doc.name}}</h3>
              <p>{{dateToShortString(doc.uploadDate)}}</p>
          </ion-label>
          <div class="unconfirmDiv">
              <p [style.color]="(doc.isSigned)? '#10dc60':'#f04141'">
                  {{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
          </div>
      </ion-item>

      <ion-item *ngFor="let doc of documentClassification.waiting; let i = index;" button
          (click)="onDocument(i, flag.WAITING)" detail="false">
          <ion-icon mode="md" [color]="(doc.owner == owner)?'success':'danger'"
              [name]="(doc.owner == owner)?'arrow-up':'arrow-down'">
          </ion-icon>
          <img src="assets/icon-pdf.png" />
          <ion-label>
              <h3>{{doc.name}}</h3>
              <p>{{dateToShortString(doc.uploadDate)}}</p>
          </ion-label>
          <div class="unconfirmDiv">
              <p [style.color]="(doc.isSigned)? '#10dc60':'#f04141'">
                  {{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
          </div>
      </ion-item>

      <ion-item *ngFor="let doc of documentClassification.completed.slice(0, 10); let i = index" button
          (click)="onDocument(i, flag.COMPLETED)" detail="false">
          <ion-icon mode="md" [color]="(doc.owner == owner)?'success':'danger'"
              [name]="'arrow-up'">
          </ion-icon>
          <img src="assets/icon-pdf.png" />
          <ion-label>
              <h3>{{doc.name}}</h3>
              <p>{{dateToShortString(doc.uploadDate)}}</p>
          </ion-label>
          <div class="confirmDiv">
              <p class="status" *ngIf="doc.isSigned" style="color: #000">Signed</p>
              <p class="time">{{nowFromDate(doc.signDate)}}</p>
          </div>
      </ion-item>
    </ion-list> <br><br>
    <button class="btn-submit" type="button" (click) = addNewDoc()>
      <label style="color: white;"><font size="3">Add New Document  </font></label>
      <ion-icon name="arrow-forward" style="color: white;"></ion-icon>
    </button>
  </div>


</ion-content>

